Subject: bug#15555: 24.3; Bidirectional display very slow with long lines

From: Dmitry Antipov <[email-masked]>
Date: Tue, 18 Feb 2014 18:01:05 +0400

On 02/18/2014 04:43 PM, Dmitry Antipov wrote:

> Are you sure that bidi_copy_it doesn't add one more bottleneck to the whole
> stuff?

There is a busy bidi_shelve_cache/bidi_unshelve_cache loop which processes
~1.5M of cache data per each iteration. That's why memcpy takes ~25% in the
overall profile...

Dmitry